## gobject-query

gobject-query — display a tree of types

## Synopsis

`gobject-query` froots [OPTION...]

`gobject-query` tree [OPTION...]

## Description

gobject-query is a small utility that draws a tree of types.

gobject-query takes a mandatory argument that specifies whether it should iterate over the fundamental types or print a type tree.

## Commands

`froots` | iterate over fundamental roots
`tree` | print type tree

## Options

`-r` `TYPE` | specify the root type
`-n` | don't descend type tree
`-b` `STRING` | specify indent string
`-i` `STRING` | specify incremental indent string
`-s` `NUMBER` | specify line spacing
`-h`, `--help` | Print brief help and exit.
`-v`, `--version` | Print version and exit.